Bug 220922 (geany) - Review Request: geany - a lightweight gtk2 based IDE
Summary: Review Request: geany - a lightweight gtk2 based IDE
Status: CLOSED NEXTRELEASE
Alias: geany
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-12-28 22:15 UTC by Josef Bacik
Modified: 2011-10-24 16:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 00:07:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gwync: fedora-cvs+


Attachments (Terms of Use)
patch to spec file (1.20 KB, patch)
2006-12-28 23:11 UTC, Deji Akingunola
no flags Details | Diff

Description Josef Bacik 2006-12-28 22:15:42 UTC
Spec URL: http://www.toxicpanda.com/geany.spec
SRPM URL: http://www.toxicpanda.com/geany-0.10-1.src.rpm

Description:
Geany is a small and fast editor with basic features of an 
integrated development environment.

Some features:
- syntax highlighting
- code completion
- code folding
- call tips
- folding
- many supported filetypes like C, Java, PHP, HTML, Python, Perl, Pascal
- symbol lists

Comment 1 Deji Akingunola 2006-12-28 23:11:08 UTC
Created attachment 144508 [details]
patch to spec file

Comment 2 Deji Akingunola 2006-12-28 23:17:30 UTC
Seems you're a new contributor, so you'll need a sponsor. In the meantime, here
are a couple of things (not exhaustive) that needs to be fixed with the spec file;

1. Your package includes a .desktop file, and that needs to be properly install
with desktop-file-install, and include a Buildrequire on desktop-file-utils.
2. Locales needs to be installed using the %find_lang macro.
3. You also likely need another BR on gettext (because of the locales).

Also the Requires on glib, gtk, and pango are not necessary, they are
automatically pulled in by rpm.
I've attached a patch to your spec file that fix these issues.

Comment 3 Christopher Stone 2006-12-28 23:21:22 UTC
Deji:  Thanks for the patch and comments.  I've already mentioned these problems
to Josef, as I'm in the process of sponsering him.  :)

Comment 4 Josef Bacik 2006-12-28 23:23:11 UTC
ahh ok thanks much, I was kind of confused how to handle the desktop file.  I 
have updated the src.rpm and the spec file, its at the same location

Spec URL: http://www.toxicpanda.com/geany.spec
SRPM URL: http://www.toxicpanda.com/geany-0.10-1.src.rpm

Comment 5 Josef Bacik 2006-12-29 22:05:09 UTC
hmm, for some reason I nuked all of the other BR's that are supposed to be 
there.  Fixed that and added vte-devel for the virtual-terminal stuff that 
comes with geany.  Same url as above for updated src.rpm and spec file.

Comment 6 Christopher Stone 2006-12-30 23:14:50 UTC
Josef: Looked a little deeper into this package and it is installing
documentation files in /usr/share/doc/%{name} _and_
/usr/share/doc/%{name}-%{version}.  I attempted to add
--docdir=%{_docdir}/%{name}-%{version} but this did not work either.  All the
documentation should go in the same directory and be set as %doc files.  For
now, I would suggest moving the files out of %{_docdir}/%{name} in the %install
section after they have been installed.  Just move the files to . and then
include them in %doc.  Be sure to add a comment above the mv command indicating
that --docdir is not working in %configure.

Please also fix these rpmlint warnings:
W: geany mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 39)
W: geany wrong-file-end-of-line-encoding /usr/share/doc/geany/ScintillaLicense.txt

Fixing end of line encodings is typically done with sed.


Comment 7 Josef Bacik 2007-01-02 20:34:54 UTC
Ok new SPEC file and SRPM uploaded to the same place its always been.

-fixed the mixed spaces/tabs problem
-added sed command to %install to fix the ScintillaLicense.txt eol encoding
-fixed the docs so they are installed into doc/%{name}-%{version}
-added an rm pixmaps/geany.ico, its only for windows installations

the only rpmlint error thats left is a bogus one about filetypes.c not being 
in a devel package, and that doesn't apply as its just the syntax 
specifications for C for geany.

Comment 8 Josef Bacik 2007-01-04 22:58:29 UTC
Ok i uploaded a new -2 package with the changelog updated and such.

SPEC: http://www.toxicpanda.com/geany.spec
SRPM: http://www.toxicpanda.com/geany-0.10-2.src.rpm

Comment 9 Christopher Stone 2007-01-08 18:38:10 UTC
==== REVIEW CHECKLIST ====
- rpmlint output
W: geany devel-file-in-non-devel-package /usr/share/geany/filetypes.c
Okay, see comment #7

- package meets package naming guidelines
- spec filename matches %{name}
- package meets packaging guidelines
- package licensed with open source compatible license
- license matches actual license
- license file included in %doc
- spec written in American english
- spec file is legible
- sources match upstream
2ffaae9b0fa807bdd4be0e6ec0f4a2e5  geany-0.10.tar.bz2
- package successfully compiles and builds on x86_64 FC6
- all build dependencies listed in BR
- locales handled properly
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- directories it does not create owned by default packages
- no duplicates in %files
- file permissions set properly
- contains proper %clean section
- macro usage consistent
- package contains code
- no large documentation
- files in %doc do not affect runtime
- no header files or static libraries
- no pkgconfig files
- no library files with suffix
- no need for devel subpackage
- no .la files
- contains proper .desktop file
- package does not own files or directories owned by other packages

*** APPROVED ***

Since you are not yet sponsered, I want to see a couple package reviews from you
before blocking FE-ACCEPT.

Comment 10 Josef Bacik 2007-01-11 19:53:01 UTC
reviewed two review requests with errors

bz222220
bz222326

Comment 11 Christopher Stone 2007-01-16 03:01:10 UTC
Okay, so you should be sponsered now (if I did it right).

Comment 12 Josef Bacik 2007-01-18 00:07:17 UTC
Commited to CVS and built properly, closing with NEXTRELEASE.

Comment 14 François Cami 2011-10-24 09:11:15 UTC
Package Change Request
======================
Package Name: geany
New Branches: el5 el6
Owners: josef fcami dmaphy pingo jgu

Comment 15 Gwyn Ciesla 2011-10-24 16:16:40 UTC
Git done (by process-git-requests).

Corrected pingo->pingou


Note You need to log in before you can comment on or make changes to this bug.